Last Comment Bug 797667 - Add back the SocialToolbar.button getter
: Add back the SocialToolbar.button getter
Status: RESOLVED FIXED
[Fx17]
: regression
Product: Firefox
Classification: Client Software
Component: SocialAPI (show other bugs)
: 18 Branch
: All All
: -- normal (vote)
: Firefox 18
Assigned To: Jared Wein [:jaws] (please needinfo? me)
:
Mentors:
Depends on:
Blocks: 790112
  Show dependency treegraph
 
Reported: 2012-10-03 20:15 PDT by Jared Wein [:jaws] (please needinfo? me)
Modified: 2012-10-05 07:39 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed


Attachments
Patch (1.31 KB, patch)
2012-10-03 20:15 PDT, Jared Wein [:jaws] (please needinfo? me)
markh: review+
gavin.sharp: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Jared Wein [:jaws] (please needinfo? me) 2012-10-03 20:15:03 PDT
Created attachment 667781 [details] [diff] [review]
Patch

The SocialToolbar.button getter is used by the _activationEventHandler for docking the activation panel, and could also be used during SocialToolbar.init(). The patch for Bug 790112 erroneously removed it.

This patch adds it back.
Comment 1 Jared Wein [:jaws] (please needinfo? me) 2012-10-03 21:06:38 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/a2da97e3ebc6
Comment 2 Ed Morley [:emorley] 2012-10-04 08:56:27 PDT
https://hg.mozilla.org/mozilla-central/rev/a2da97e3ebc6
Comment 3 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-10-05 07:39:11 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/c3e72dd3d163

Note You need to log in before you can comment on or make changes to this bug.